- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# cOutputVectorManager Class Reference
[Extension interface to Envir]

`#include <envirext.h>`

Inheritance diagram for cOutputVectorManager:

List of all members.

## Detailed Description

Abstract base class for output vector managers for cEnvir.

cOutputVectorManagers are plugins into the Envir user interface library (src/envir) that handle recording the output for cOutVectors.

The default output vector manager is cFileOutputVectorManager, defined in the Envir library.

To change the way output vectors are written, subclass cOutputVectorManager, register your new class with the Register_Class() macro, then select it by adding the following to `omnetpp.ini`:

     [General]
     outputvectormanager-class="MyClass"

## Public Member Functions
Constructor, destructor
| cOutputVectorManager ()
virtual | ~cOutputVectorManager ()
Controlling the beginning and end of collecting data.
virtual void | startRun ()=0
virtual void | endRun ()=0
Output vectors.
virtual void * | registerVector (const char *modulename, const char *vectorname, int tuple)=0
virtual void | deregisterVector (void *vechandle)=0
virtual bool | record (void *vechandle, simtime_t t, double value)=0
virtual bool | record (void *vechandle, simtime_t t, double value1, double value2)=0
virtual const char * | fileName () const =0
virtual void | flush ()=0

## Constructor & Destructor Documentation

cOutputVectorManager::cOutputVectorManager | ( |  | ) | `[inline, explicit]`

| Constructor.

virtual cOutputVectorManager::~cOutputVectorManager | ( |  | ) | `[inline, virtual]`

| Destructor.

## Member Function Documentation

virtual void cOutputVectorManager::deregisterVector | ( | void * | vechandle | ) | `[pure virtual]`

| This method is called internally by the Envir library when a cOutVector object deregisters itself.

virtual void cOutputVectorManager::endRun | ( |  | ) | `[pure virtual]`

| Closes collecting. Called at the end of a simulation run.

virtual const char* cOutputVectorManager::fileName | ( |  | ) | const`[pure virtual]`

| Returns the output vector file name. Returns NULL if this object is not producing file output.

virtual void cOutputVectorManager::flush | ( |  | ) | `[pure virtual]`

| Force writing out all buffered output.

virtual bool cOutputVectorManager::record | ( | void * | vechandle,
|  | simtime_t | t,
|  | double | value1,
|  | double | value2
| ) | `[pure virtual]`

| This method is called internally by the Envir library when a cOutVector object writes a value pair into the output vector. The return value should be true if the data was actually recorded, and false if it was not recorded (because of filtering, etc.)

virtual bool cOutputVectorManager::record | ( | void * | vechandle,
|  | simtime_t | t,
|  | double | value
| ) | `[pure virtual]`

| This method is called internally by the Envir library when a cOutVector object writes a value into the output vector. The return value should be true if the data was actually recorded, and false if it was not recorded (because of filtering, etc.)

virtual void* cOutputVectorManager::registerVector | ( | const char * | modulename,
|  | const char * | vectorname,
|  | int | tuple
| ) | `[pure virtual]`

| This method is called internally by the Envir library when a cOutVector object registers itself. The return value is a handle of type void*; this handle is passed to record() to identify the vector.

virtual void cOutputVectorManager::startRun | ( |  | ) | `[pure virtual]`

| Opens collecting. Called at the beginning of a simulation run.

The documentation for this class was generated from the following file:

- envirext.h